package main.straight_channel_section;

import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.stage.Stage;
import main.TwoWayNode;
import main.welcome_splash.WelcomeSplashController;

import java.io.IOException;

/**
 * Created by Vladimir Eliezer Tokarev on 8/27/2016.
 * StraightChannelSectionLoader creates starlight channel section object and sets its controller
 */
public class StraightChannelSectionLoader {
    private static final String STRAIGHT_CHANNEL_LOADER_FXML_PATH = "straight_channel_section.fxml";

    private Stage currentStage;
    private FXMLLoader fxmlLoader;

    public StraightChannelSectionLoader(Stage primaryStage) throws IOException
    {
        // Parent splashScreenOnBootRoot = FXMLLoader.load(getClass().getResource(SPLASH_SCREEN_ON_BOOT_FXML_PATH));
        fxmlLoader = new FXMLLoader(getClass().getResource(STRAIGHT_CHANNEL_LOADER_FXML_PATH));
        currentStage = primaryStage;
        // currentStage.setScene(new Scene(splashScreenOnBootRoot));
    }

    /**
     * Creates welcome splash parent node and sets it to the controller
     * @return TwoWayNode
     * @throws IOException
     */
    public TwoWayNode GetStraightChannelSection() throws IOException {
        Parent straightChannelSection = fxmlLoader.load();
        StraightChannelSectionController controller = fxmlLoader.getController();

        // set the controller to be functional TwoWayNode
        controller.SetParent(welcomeSplash);
        controller.SetStage(currentStage);

        return controller;
    }

}
